# How to contribute

In order to keep the entire process of translation the _Automad UI_ from English into to other languages as efficient as possible,
all text modules are translated by AI automatically. Since Automad is under very active development,
the English text modules are constantly changing. New modules are added, others are removed.

Since all work related to Automad is basically unpaid and a lot of spare time and weekend hours are spent to make this
project happen, it is important that the process of contributing to the language packages must be as straight forward as possible,
for both sides &mdash; the contributer and the maintainer.

Therefore please respect the following rules when submitting pull-requests:

1. When committing changes, follow the [conventional commits](https://www.conventionalcommits.org/en/v1.0.0/)
   guidelines for commit messages &mdash;
   all lower-case, max 80 charachters, present tense.
2. Keep the exact formatting of the JSON files and use the `.editorconfig` file.
3. Do not add new languages and rather help to improve existing ones.
   Languages have to be fully integrated into the automatic process mentioned above.
4. Do not add any new fields to the JSON files. They will be removed automatically by the translation pipeline.
